package com.prolog.cs.biz.outbound.model.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class WavePreCalResultVO {

    @ApiModelProperty(value = "波次号")
    private String waveCode;

    @ApiModelProperty(value = "库区编号")
    private String warehouseAreaCode;

    @ApiModelProperty(value = "库区名称")
    private String warehouseAreaName;

    @ApiModelProperty(value = "订单数")
    private Integer numOfBills;

    @ApiModelProperty(value = "任务数")
    private Integer numOfTask;

    @ApiModelProperty(value = "任务行数")
    private Integer numOfTaskLine;

    @ApiModelProperty(value = "品规数")
    private Integer numOfItems;

    @ApiModelProperty(value = "折合件数")
    private Integer numOfCases;

    public Integer getNumOfBills() {
        return numOfBills;
    }

    public void setNumOfBills(Integer numOfBills) {
        this.numOfBills = numOfBills;
    }

    public Integer getNumOfItems() {
        return numOfItems;
    }

    public void setNumOfItems(Integer numOfItems) {
        this.numOfItems = numOfItems;
    }

    public Integer getNumOfCases() {
        return numOfCases;
    }

    public void setNumOfCases(Integer numOfCases) {
        this.numOfCases = numOfCases;
    }

    public String getWarehouseAreaCode() {
        return warehouseAreaCode;
    }

    public void setWarehouseAreaCode(String warehouseAreaCode) {
        this.warehouseAreaCode = warehouseAreaCode;
    }

    public String getWarehouseAreaName() {
        return warehouseAreaName;
    }

    public void setWarehouseAreaName(String warehouseAreaName) {
        this.warehouseAreaName = warehouseAreaName;
    }

    public Integer getNumOfTask() {
        return numOfTask;
    }

    public void setNumOfTask(Integer numOfTask) {
        this.numOfTask = numOfTask;
    }

    public Integer getNumOfTaskLine() {
        return numOfTaskLine;
    }

    public void setNumOfTaskLine(Integer numOfTaskLine) {
        this.numOfTaskLine = numOfTaskLine;
    }

    public String getWaveCode() {
        return waveCode;
    }

    public void setWaveCode(String waveCode) {
        this.waveCode = waveCode;
    }
}
